Subject: RE: [Sip] Open Issue #203: transport related params in To/From

From: "Jo Hornsby" <[email-masked]>
Date: Wed, 2 Jan 2002 12:50:44 -0000

> There was one email on this thread supporting the proposal, 
> and the rest of the thread dealt with additional wording
> that might have to be added in support of it.
> 
> I will comment on the extra wording bits below, but 
> otherwise, I believe there is consensus to accept the
> proposal. In that case, port and maddr are disallowed
> from the To/From URLs.
>
> Jo Hornsby wrote:
> > I think what I was envisaging was some entity on
> > the network ignoring these parameters, and then
> > due to some sort of weird transaction keying
> > interaction, actually removing them when it
> > responded or proxied sommat.
> 
> In this context, having these parameters be "disallowed" 
> means they MUST NOT be inserted, and MUST be ignored by
> any element that receives them there. So, to be honest,
> if you do put them in the To field, and the result is
> that they get stripped when they come back to you, well,
> thats your problem. Bets are off when you send invalid
> messages. An implementation might be nice enough to handle
> it anyway for you, but its not something the spec would mandate.

Fair enough.  As long at this is explicitly stated.

> > Also, if we take the approach that they should
> > just be ignored, then what happens if two requests
> > arrive that are otherwise identical apart from the
> > port in the To:, say?
> 
> They are identical.

Works for me.

 - Jo.

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip